API referenceMemory spaces

Get Space

GET/api/v1/memory-spaces/{space_id}

Authorization

AuthorizationBearer <token>

A workspace API key (a13n_...)

In: header

Path Parameters

space_id*Space Id

Header Parameters

X-Workspace-ID?|

The workspace ID a login session acts in; required with a login session. An API key acts in its own workspace and needs none; naming another is forbidden.

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/memory-spaces/string"
{  "always_load": [    "string"  ],  "content_bytes": 0,  "created_at": "2019-08-24T14:15:22Z",  "created_by_id": "string",  "description": "string",  "enabled": true,  "file_count": 0,  "guide": "string",  "history_bytes": 0,  "id": "string",  "labels": {    "property1": "string",    "property2": "string"  },  "memory_id": "string",  "name": "string",  "organization": {    "check_interval_seconds": 10,    "cooldown_seconds": 300,    "enabled": false,    "model": "string",    "trigger": {      "type": "any_change"    }  },  "organization_id": "string",  "updated_at": "2019-08-24T14:15:22Z",  "updated_by_id": "string",  "version": 0,  "workspace_id": "string"}